Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalIntrospector<E,C>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.IntrospectorBase<E,C>
          com.hammurapi.eventbus.ReflectiveEventHandlerFactory<E,C,H,S>
              com.hammurapi.eventbus.Introspector<E,C,Long,AbstractEventBus.Handle<E,Integer,C,Long>,LocalEventStore<E,Integer,C>,LocalEventBus<E,Integer,C>>
                  com.hammurapi.eventbus.local.LocalIntrospector<E,C>

Type Parameters:
  `E` -
  `C` -

All Implemented Interfaces:
  JavaBinder<E,C,Long,AbstractEventBus.Handle<E,Integer,C,Long>,LocalEventStore<E,Integer,C>,LocalEventBus<E,Integer,C>,C>

    public class LocalIntrospector<E,C>

extends Introspector<E,C,Long,AbstractEventBus.Handle<E,Integer,C,Long>,LocalEventStore<E,Integer,C>,LocalEventBus<E,Integer,C>>

Introspector with bound generic parameters.

Nested Class Summary

Nested classes/interfaces inherited from class com.hammurapi.eventbus.IntrospectorBase
`IntrospectorBase.IntrospectionResult<E,C>`

Constructor Summary
`LocalIntrospector(ClassLoader classLoader, TokenExpander tokenExpander)`

Method Summary

Methods inherited from class com.hammurapi.eventbus.Introspector
`bind`

Methods inherited from class com.hammurapi.eventbus.ReflectiveEventHandlerFactory
`createHandlers`

Methods inherited from class com.hammurapi.eventbus.IntrospectorBase
`introspect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalIntrospector

    public LocalIntrospector(ClassLoader classLoader,
                             TokenExpander tokenExpander)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD